Debian Bug report logs - #624579
razor: use Digest::SHA and drop (Build-)Depends on libdigest-sha1-perl

version graph

Package: src:razor; Maintainer for src:razor is Giuseppe Iuculano <giuseppe@iuculano.it>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 29 Apr 2011 19:33:05 UTC

Severity: normal

Tags: patch

Found in version razor/1:2.85-3

Fixed in version razor/1:2.85-4

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#624579; Package src:razor. (Fri, 29 Apr 2011 19:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>. (Fri, 29 Apr 2011 19:33:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: razor: use Digest::SHA and drop (Build-)Depends on libdigest-sha1-perl
Date: Fri, 29 Apr 2011 21:31:28 +0200
Source: razor
Version: 1:2.85-3
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition 

Hi Giuseppe

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

lib/Razor2/String.pm has

	use Digest::SHA1 qw(sha1_hex);

so using only sha1_hex, and thus Digest::SHA1 should be easily
replaced by only Digest::SHA qw(sha1_hex). The same is valid for
lib/Razor2/Client/Engine.pm. lib/Razor2/Signature/Whiplash.pm and
lib/Razor2/Signature/Ephemeral.pm uses only add and hexdigest.

Could you change the use of Digest::SHA1 to Digest::SHA and drop the
(Build-)Depends on libdigest-sha1-perl?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#624579; Package src:razor. (Sat, 21 May 2011 07:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Sat, 21 May 2011 07:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 624579@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 624579@bugs.debian.org
Subject: razor: diff for NMU version 1:2.85-3.1
Date: Sat, 21 May 2011 09:10:38 +0200
[Message part 1 (text/plain, inline)]
tags 624579 + patch
thanks

Dear maintainer,

Please find attached propsed changes for the Digest::SHA1 to
Digest::SHA switch. Are you fine with them? It is prepared as NMU for
razor ((versioned as 1:2.85-3.1) but not uploaded.

Regards.
Salvatore
[razor-2.85-3.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 07:12:08 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Sat, 28 May 2011 15:06:10 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 28 May 2011 15:06:11 GMT) Full text and rfc822 format available.

Message #17 received at 624579-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 624579-close@bugs.debian.org
Subject: Bug#624579: fixed in razor 1:2.85-4
Date: Sat, 28 May 2011 15:03:23 +0000
Source: razor
Source-Version: 1:2.85-4

We believe that the bug you reported is fixed in the latest version of
razor, which is due to be installed in the Debian FTP archive:

razor_2.85-4.diff.gz
  to main/r/razor/razor_2.85-4.diff.gz
razor_2.85-4.dsc
  to main/r/razor/razor_2.85-4.dsc
razor_2.85-4_i386.deb
  to main/r/razor/razor_2.85-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624579@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated razor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 May 2011 16:46:31 +0200
Source: razor
Binary: razor
Architecture: source i386
Version: 1:2.85-4
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 razor      - spam-catcher using a collaborative filtering network
Closes: 624579
Changes: 
 razor (1:2.85-4) unstable; urgency=low
 .
   * [7e80fb6] Add use-Digest-SHA.patch to use Digest::SHA instead of
     Digest::SHA1 and drop libdigest-sha1-perl (Build-)Depends.
     Thanks to Salvatore Bonaccorso (Closes: #624579)
Checksums-Sha1: 
 584fa88fcb6fafba9317a32e5dd2348c0053e947 1205 razor_2.85-4.dsc
 0c79ee0392f351c3b407c073be3a43703983cd27 14658 razor_2.85-4.diff.gz
 474cbbd91928daa6f5d0c822d6ec9139f677eccf 124538 razor_2.85-4_i386.deb
Checksums-Sha256: 
 d4a815f5b10b11c06f37f642c4868ee29cb82d7d66ebd65c98c8277789924f0c 1205 razor_2.85-4.dsc
 219ffee61f7004fe1710c7515f4eb08d2e97d05a38c3ce72a0dce738e7e8a8a4 14658 razor_2.85-4.diff.gz
 3b55328287d47304c370edf7552c18bef875d1172b07024944a5fd30ef7b7339 124538 razor_2.85-4_i386.deb
Files: 
 136dd95026d368974255c14b1a7ed845 1205 mail optional razor_2.85-4.dsc
 b050bd88eefcf52ab2207052e9c2006e 14658 mail optional razor_2.85-4.diff.gz
 7ec01dce768ace989f5f5b8b4252a39a 124538 mail optional razor_2.85-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3hDHsACgkQNxpp46476aolpQCeO0jkAAHoLJwwq2rFBV4+uoY3
OOEAoJytoyQF9BU6V0AywfKZCYtlhv/z
=PRuN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jul 2011 07:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:44:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.